// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: switchmodule/switchmodule.proto

package openfmb.switchmodule;

/**
 * <pre>
 * Switch event profile
 * </pre>
 *
 * Protobuf type {@code switchmodule.SwitchEventProfile}
 */
public final class SwitchEventProfile extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:switchmodule.SwitchEventProfile)
    SwitchEventProfileOrBuilder {
private static final long serialVersionUID = 0L;
  // Use SwitchEventProfile.newBuilder() to construct.
  private SwitchEventProfile(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private SwitchEventProfile() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new SwitchEventProfile();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEventProfile_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEventProfile_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.switchmodule.SwitchEventProfile.class, openfmb.switchmodule.SwitchEventProfile.Builder.class);
  }

  public static final int EVENTMESSAGEINFO_FIELD_NUMBER = 1;
  private openfmb.commonmodule.EventMessageInfo eventMessageInfo_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the eventMessageInfo field is set.
   */
  @java.lang.Override
  public boolean hasEventMessageInfo() {
    return eventMessageInfo_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return The eventMessageInfo.
   */
  @java.lang.Override
  public openfmb.commonmodule.EventMessageInfo getEventMessageInfo() {
    return eventMessageInfo_ == null ? openfmb.commonmodule.EventMessageInfo.getDefaultInstance() : eventMessageInfo_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.EventMessageInfoOrBuilder getEventMessageInfoOrBuilder() {
    return eventMessageInfo_ == null ? openfmb.commonmodule.EventMessageInfo.getDefaultInstance() : eventMessageInfo_;
  }

  public static final int PROTECTEDSWITCH_FIELD_NUMBER = 2;
  private openfmb.switchmodule.ProtectedSwitch protectedSwitch_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the protectedSwitch field is set.
   */
  @java.lang.Override
  public boolean hasProtectedSwitch() {
    return protectedSwitch_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The protectedSwitch.
   */
  @java.lang.Override
  public openfmb.switchmodule.ProtectedSwitch getProtectedSwitch() {
    return protectedSwitch_ == null ? openfmb.switchmodule.ProtectedSwitch.getDefaultInstance() : protectedSwitch_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.switchmodule.ProtectedSwitchOrBuilder getProtectedSwitchOrBuilder() {
    return protectedSwitch_ == null ? openfmb.switchmodule.ProtectedSwitch.getDefaultInstance() : protectedSwitch_;
  }

  public static final int SWITCHEVENT_FIELD_NUMBER = 3;
  private openfmb.switchmodule.SwitchEvent switchEvent_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchEvent switchEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the switchEvent field is set.
   */
  @java.lang.Override
  public boolean hasSwitchEvent() {
    return switchEvent_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchEvent switchEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The switchEvent.
   */
  @java.lang.Override
  public openfmb.switchmodule.SwitchEvent getSwitchEvent() {
    return switchEvent_ == null ? openfmb.switchmodule.SwitchEvent.getDefaultInstance() : switchEvent_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchEvent switchEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.switchmodule.SwitchEventOrBuilder getSwitchEventOrBuilder() {
    return switchEvent_ == null ? openfmb.switchmodule.SwitchEvent.getDefaultInstance() : switchEvent_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (eventMessageInfo_ != null) {
      output.writeMessage(1, getEventMessageInfo());
    }
    if (protectedSwitch_ != null) {
      output.writeMessage(2, getProtectedSwitch());
    }
    if (switchEvent_ != null) {
      output.writeMessage(3, getSwitchEvent());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (eventMessageInfo_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getEventMessageInfo());
    }
    if (protectedSwitch_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getProtectedSwitch());
    }
    if (switchEvent_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, getSwitchEvent());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.switchmodule.SwitchEventProfile)) {
      return super.equals(obj);
    }
    openfmb.switchmodule.SwitchEventProfile other = (openfmb.switchmodule.SwitchEventProfile) obj;

    if (hasEventMessageInfo() != other.hasEventMessageInfo()) return false;
    if (hasEventMessageInfo()) {
      if (!getEventMessageInfo()
          .equals(other.getEventMessageInfo())) return false;
    }
    if (hasProtectedSwitch() != other.hasProtectedSwitch()) return false;
    if (hasProtectedSwitch()) {
      if (!getProtectedSwitch()
          .equals(other.getProtectedSwitch())) return false;
    }
    if (hasSwitchEvent() != other.hasSwitchEvent()) return false;
    if (hasSwitchEvent()) {
      if (!getSwitchEvent()
          .equals(other.getSwitchEvent())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasEventMessageInfo()) {
      hash = (37 * hash) + EVENTMESSAGEINFO_FIELD_NUMBER;
      hash = (53 * hash) + getEventMessageInfo().hashCode();
    }
    if (hasProtectedSwitch()) {
      hash = (37 * hash) + PROTECTEDSWITCH_FIELD_NUMBER;
      hash = (53 * hash) + getProtectedSwitch().hashCode();
    }
    if (hasSwitchEvent()) {
      hash = (37 * hash) + SWITCHEVENT_FIELD_NUMBER;
      hash = (53 * hash) + getSwitchEvent().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.switchmodule.SwitchEventProfile parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchEventProfile parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEventProfile parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchEventProfile parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEventProfile parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchEventProfile parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEventProfile parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchEventProfile parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEventProfile parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchEventProfile parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEventProfile parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchEventProfile parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.switchmodule.SwitchEventProfile prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Switch event profile
   * </pre>
   *
   * Protobuf type {@code switchmodule.SwitchEventProfile}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:switchmodule.SwitchEventProfile)
      openfmb.switchmodule.SwitchEventProfileOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEventProfile_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEventProfile_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.switchmodule.SwitchEventProfile.class, openfmb.switchmodule.SwitchEventProfile.Builder.class);
    }

    // Construct using openfmb.switchmodule.SwitchEventProfile.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      eventMessageInfo_ = null;
      if (eventMessageInfoBuilder_ != null) {
        eventMessageInfoBuilder_.dispose();
        eventMessageInfoBuilder_ = null;
      }
      protectedSwitch_ = null;
      if (protectedSwitchBuilder_ != null) {
        protectedSwitchBuilder_.dispose();
        protectedSwitchBuilder_ = null;
      }
      switchEvent_ = null;
      if (switchEventBuilder_ != null) {
        switchEventBuilder_.dispose();
        switchEventBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEventProfile_descriptor;
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchEventProfile getDefaultInstanceForType() {
      return openfmb.switchmodule.SwitchEventProfile.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchEventProfile build() {
      openfmb.switchmodule.SwitchEventProfile result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchEventProfile buildPartial() {
      openfmb.switchmodule.SwitchEventProfile result = new openfmb.switchmodule.SwitchEventProfile(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.switchmodule.SwitchEventProfile result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.eventMessageInfo_ = eventMessageInfoBuilder_ == null
            ? eventMessageInfo_
            : eventMessageInfoBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.protectedSwitch_ = protectedSwitchBuilder_ == null
            ? protectedSwitch_
            : protectedSwitchBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.switchEvent_ = switchEventBuilder_ == null
            ? switchEvent_
            : switchEventBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.switchmodule.SwitchEventProfile) {
        return mergeFrom((openfmb.switchmodule.SwitchEventProfile)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.switchmodule.SwitchEventProfile other) {
      if (other == openfmb.switchmodule.SwitchEventProfile.getDefaultInstance()) return this;
      if (other.hasEventMessageInfo()) {
        mergeEventMessageInfo(other.getEventMessageInfo());
      }
      if (other.hasProtectedSwitch()) {
        mergeProtectedSwitch(other.getProtectedSwitch());
      }
      if (other.hasSwitchEvent()) {
        mergeSwitchEvent(other.getSwitchEvent());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getEventMessageInfoFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getProtectedSwitchFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            case 26: {
              input.readMessage(
                  getSwitchEventFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000004;
              break;
            } // case 26
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.EventMessageInfo eventMessageInfo_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.EventMessageInfo, openfmb.commonmodule.EventMessageInfo.Builder, openfmb.commonmodule.EventMessageInfoOrBuilder> eventMessageInfoBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the eventMessageInfo field is set.
     */
    public boolean hasEventMessageInfo() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return The eventMessageInfo.
     */
    public openfmb.commonmodule.EventMessageInfo getEventMessageInfo() {
      if (eventMessageInfoBuilder_ == null) {
        return eventMessageInfo_ == null ? openfmb.commonmodule.EventMessageInfo.getDefaultInstance() : eventMessageInfo_;
      } else {
        return eventMessageInfoBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setEventMessageInfo(openfmb.commonmodule.EventMessageInfo value) {
      if (eventMessageInfoBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        eventMessageInfo_ = value;
      } else {
        eventMessageInfoBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setEventMessageInfo(
        openfmb.commonmodule.EventMessageInfo.Builder builderForValue) {
      if (eventMessageInfoBuilder_ == null) {
        eventMessageInfo_ = builderForValue.build();
      } else {
        eventMessageInfoBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeEventMessageInfo(openfmb.commonmodule.EventMessageInfo value) {
      if (eventMessageInfoBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          eventMessageInfo_ != null &&
          eventMessageInfo_ != openfmb.commonmodule.EventMessageInfo.getDefaultInstance()) {
          getEventMessageInfoBuilder().mergeFrom(value);
        } else {
          eventMessageInfo_ = value;
        }
      } else {
        eventMessageInfoBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearEventMessageInfo() {
      bitField0_ = (bitField0_ & ~0x00000001);
      eventMessageInfo_ = null;
      if (eventMessageInfoBuilder_ != null) {
        eventMessageInfoBuilder_.dispose();
        eventMessageInfoBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.EventMessageInfo.Builder getEventMessageInfoBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getEventMessageInfoFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.EventMessageInfoOrBuilder getEventMessageInfoOrBuilder() {
      if (eventMessageInfoBuilder_ != null) {
        return eventMessageInfoBuilder_.getMessageOrBuilder();
      } else {
        return eventMessageInfo_ == null ?
            openfmb.commonmodule.EventMessageInfo.getDefaultInstance() : eventMessageInfo_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.EventMessageInfo, openfmb.commonmodule.EventMessageInfo.Builder, openfmb.commonmodule.EventMessageInfoOrBuilder> 
        getEventMessageInfoFieldBuilder() {
      if (eventMessageInfoBuilder_ == null) {
        eventMessageInfoBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.EventMessageInfo, openfmb.commonmodule.EventMessageInfo.Builder, openfmb.commonmodule.EventMessageInfoOrBuilder>(
                getEventMessageInfo(),
                getParentForChildren(),
                isClean());
        eventMessageInfo_ = null;
      }
      return eventMessageInfoBuilder_;
    }

    private openfmb.switchmodule.ProtectedSwitch protectedSwitch_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.switchmodule.ProtectedSwitch, openfmb.switchmodule.ProtectedSwitch.Builder, openfmb.switchmodule.ProtectedSwitchOrBuilder> protectedSwitchBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the protectedSwitch field is set.
     */
    public boolean hasProtectedSwitch() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The protectedSwitch.
     */
    public openfmb.switchmodule.ProtectedSwitch getProtectedSwitch() {
      if (protectedSwitchBuilder_ == null) {
        return protectedSwitch_ == null ? openfmb.switchmodule.ProtectedSwitch.getDefaultInstance() : protectedSwitch_;
      } else {
        return protectedSwitchBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setProtectedSwitch(openfmb.switchmodule.ProtectedSwitch value) {
      if (protectedSwitchBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        protectedSwitch_ = value;
      } else {
        protectedSwitchBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setProtectedSwitch(
        openfmb.switchmodule.ProtectedSwitch.Builder builderForValue) {
      if (protectedSwitchBuilder_ == null) {
        protectedSwitch_ = builderForValue.build();
      } else {
        protectedSwitchBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeProtectedSwitch(openfmb.switchmodule.ProtectedSwitch value) {
      if (protectedSwitchBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          protectedSwitch_ != null &&
          protectedSwitch_ != openfmb.switchmodule.ProtectedSwitch.getDefaultInstance()) {
          getProtectedSwitchBuilder().mergeFrom(value);
        } else {
          protectedSwitch_ = value;
        }
      } else {
        protectedSwitchBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearProtectedSwitch() {
      bitField0_ = (bitField0_ & ~0x00000002);
      protectedSwitch_ = null;
      if (protectedSwitchBuilder_ != null) {
        protectedSwitchBuilder_.dispose();
        protectedSwitchBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.switchmodule.ProtectedSwitch.Builder getProtectedSwitchBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getProtectedSwitchFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.switchmodule.ProtectedSwitchOrBuilder getProtectedSwitchOrBuilder() {
      if (protectedSwitchBuilder_ != null) {
        return protectedSwitchBuilder_.getMessageOrBuilder();
      } else {
        return protectedSwitch_ == null ?
            openfmb.switchmodule.ProtectedSwitch.getDefaultInstance() : protectedSwitch_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.switchmodule.ProtectedSwitch, openfmb.switchmodule.ProtectedSwitch.Builder, openfmb.switchmodule.ProtectedSwitchOrBuilder> 
        getProtectedSwitchFieldBuilder() {
      if (protectedSwitchBuilder_ == null) {
        protectedSwitchBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.switchmodule.ProtectedSwitch, openfmb.switchmodule.ProtectedSwitch.Builder, openfmb.switchmodule.ProtectedSwitchOrBuilder>(
                getProtectedSwitch(),
                getParentForChildren(),
                isClean());
        protectedSwitch_ = null;
      }
      return protectedSwitchBuilder_;
    }

    private openfmb.switchmodule.SwitchEvent switchEvent_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.switchmodule.SwitchEvent, openfmb.switchmodule.SwitchEvent.Builder, openfmb.switchmodule.SwitchEventOrBuilder> switchEventBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEvent switchEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the switchEvent field is set.
     */
    public boolean hasSwitchEvent() {
      return ((bitField0_ & 0x00000004) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEvent switchEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The switchEvent.
     */
    public openfmb.switchmodule.SwitchEvent getSwitchEvent() {
      if (switchEventBuilder_ == null) {
        return switchEvent_ == null ? openfmb.switchmodule.SwitchEvent.getDefaultInstance() : switchEvent_;
      } else {
        return switchEventBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEvent switchEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setSwitchEvent(openfmb.switchmodule.SwitchEvent value) {
      if (switchEventBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        switchEvent_ = value;
      } else {
        switchEventBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEvent switchEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setSwitchEvent(
        openfmb.switchmodule.SwitchEvent.Builder builderForValue) {
      if (switchEventBuilder_ == null) {
        switchEvent_ = builderForValue.build();
      } else {
        switchEventBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEvent switchEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeSwitchEvent(openfmb.switchmodule.SwitchEvent value) {
      if (switchEventBuilder_ == null) {
        if (((bitField0_ & 0x00000004) != 0) &&
          switchEvent_ != null &&
          switchEvent_ != openfmb.switchmodule.SwitchEvent.getDefaultInstance()) {
          getSwitchEventBuilder().mergeFrom(value);
        } else {
          switchEvent_ = value;
        }
      } else {
        switchEventBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEvent switchEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearSwitchEvent() {
      bitField0_ = (bitField0_ & ~0x00000004);
      switchEvent_ = null;
      if (switchEventBuilder_ != null) {
        switchEventBuilder_.dispose();
        switchEventBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEvent switchEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.switchmodule.SwitchEvent.Builder getSwitchEventBuilder() {
      bitField0_ |= 0x00000004;
      onChanged();
      return getSwitchEventFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEvent switchEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.switchmodule.SwitchEventOrBuilder getSwitchEventOrBuilder() {
      if (switchEventBuilder_ != null) {
        return switchEventBuilder_.getMessageOrBuilder();
      } else {
        return switchEvent_ == null ?
            openfmb.switchmodule.SwitchEvent.getDefaultInstance() : switchEvent_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEvent switchEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.switchmodule.SwitchEvent, openfmb.switchmodule.SwitchEvent.Builder, openfmb.switchmodule.SwitchEventOrBuilder> 
        getSwitchEventFieldBuilder() {
      if (switchEventBuilder_ == null) {
        switchEventBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.switchmodule.SwitchEvent, openfmb.switchmodule.SwitchEvent.Builder, openfmb.switchmodule.SwitchEventOrBuilder>(
                getSwitchEvent(),
                getParentForChildren(),
                isClean());
        switchEvent_ = null;
      }
      return switchEventBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:switchmodule.SwitchEventProfile)
  }

  // @@protoc_insertion_point(class_scope:switchmodule.SwitchEventProfile)
  private static final openfmb.switchmodule.SwitchEventProfile DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.switchmodule.SwitchEventProfile();
  }

  public static openfmb.switchmodule.SwitchEventProfile getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<SwitchEventProfile>
      PARSER = new com.google.protobuf.AbstractParser<SwitchEventProfile>() {
    @java.lang.Override
    public SwitchEventProfile parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<SwitchEventProfile> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<SwitchEventProfile> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.switchmodule.SwitchEventProfile getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

